\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-6.5,0.5) rectangle (-2.5,4.5);
\fill[line width=1pt,color=A3,fill=A3,fill opacity=0.6] (-6,4) -- (-6,3) -- (-5,3) -- cycle;
\fill[line width=1pt,color=A3,fill=A3,fill opacity=0.6] (-5,3) -- (-3,3) -- (-3,1) -- cycle;
\draw[line width=1pt] (-3.424,3) -- (-3.424,2.576) -- (-3,2.576) -- (-3,3) -- cycle; 
\draw[line width=1pt] (-5.576,3) -- (-5.576,3.424) -- (-6,3.424) -- (-6,3) -- cycle; 
\draw [line width=1pt] (-6,4)-- (-6,3);
\draw [line width=1pt] (-6,3)-- (-5,3);
\draw [line width=1pt] (-5,3)-- (-6,4);
\draw [line width=1pt] (-5,3)-- (-3,3);
\draw [line width=1pt] (-3,3)-- (-3,1);
\draw [line width=1pt] (-3,1)-- (-5,3);
\draw[color=black] (-6.25,4.25) node {$M$};
\draw[color=black] (-6.25,2.75) node {$Q$};
\draw[color=black] (-4.75,3.25) node {$N$};
\draw[color=black] (-2.75,3.25) node {$P$};
\draw[color=black] (-2.75,0.75) node {$O$};
\end{tikzpicture}
\end{document}